macs (3.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.4 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Refreshed patches, dropping one that is no longer applicable.
  * Add missing build dependency on python3-numpy-dev for command dh_numpy3.
  * Set upstream metadata fields: Documentation, Repository, Repository-Browse.
  * d/copyright: clarify with files are expat licensed

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 May 2026 11:00:44 +0200

macs (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1047612.
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Simplify and fine-tune salsa-ci.yml.
  * Drop unused lintian overrides.

 -- Santiago Vila <sanvila@debian.org>  Thu, 05 Mar 2026 12:25:00 +0100

macs (3.0.2-2) unstable; urgency=medium

  * Team Upload
  * Fix FTBFS with new Cython (Closes: #1120217)
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root": it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 14:48:58 +0100

macs (3.0.2-1) unstable; urgency=medium

  * d/rules: document that the openmp-simd and related SIMDe build flags are
    already set by upstream.
  * New upstream version
  * Dropped 4 patches applied upstream; refreshed the rest

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 08 Sep 2024 01:09:37 +0200

macs (3.0.1-2) unstable; urgency=medium

  * d/rules: make use of dh_numpy3 to add the numpy ABI dependency.
  * d/patches/spelling: fix typos.
  * d/lintian-overrides: update to match change in warnings.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 Feb 2024 12:39:52 +0100

macs (3.0.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version. Closes: #1056813
  * New Build-Depends: python3-cykhash, python3-hmmlearn
  * Fix location of simde header
  * No runtime dependency from cython
    Closes: #1057991

  [ Michael R. Crusoe ]
  * New upstream version
  * Refreshed patches.
  * d/copyright: MACS2/khash.h→MACS3/fermi-lite/khash.h
  * d/clean: remove temp/ directory leftover from test execution.
    Closes: #1047612
  * d/rules: s/MACS2/MACS3/g for new major version.
  * d/patches/simde: doesn't need forwarding
  * d/control: build dep on newer packaging version of cykhash to pick
    up Python 3.12 support.
  * d/control: build dep on newer packaging version of hmmlearn to pick
    up Python 3.12 support.
  * d/rules: choose a better path to the launch script for testing

  TODO: cmdline test failures:
   16.18.1 checking hmmratac hmmratac_yeast500k_accessible_regions.gappedPeak
   16.18.2 checking hmmratac hmmratac_yeast500k_bedpe_accessible_regions.gappedPeak
   16.18.3 checking hmmratac hmmratac_yeast500k_load_hmm_model_accessible_regions.gappedPeak
   16.18.4 checking hmmratac hmmratac_yeast500k_load_training_regions_accessible_regions.gappedPeak
  * d/patch/no_install_depends_cython.patch removed, applied upstream.
  * add patch to force the use of Python3.
  * d/control: add build-dep on bc for the tests.
  * d/patches/adapt_to_prelease_hmmlearn.patch: patch from the upstream
    author to match the prelease version of hmmlearn in the archive.
  * d/patches/invalid_escape_sequence: fix a SyntaxWarning.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Feb 2024 12:56:15 +0100

macs (2.2.9.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1042180, #1041203
  * d/patches: drop enable_python3.10.patch & no-pip.patch; they are no
    longer needed
  * d/patches: forward patches upstream as appropriate.
  * no longer call dh_auto_clean to avoid call to "setup.py clean" which
    always runs cython.
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Aug 2023 12:18:49 +0200

macs (2.2.7.1-6) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 12:18:59 +0100

macs (2.2.7.1-5) unstable; urgency=medium

  * Enable Builds with python3.10
    Closes: #998440

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 14:29:12 +0100

macs (2.2.7.1-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:24:57 +0200

macs (2.2.7.1-3) unstable; urgency=medium

  * Link properly with libm
    Closes: #965073
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 23:27:39 +0200

macs (2.2.7.1-2) unstable; urgency=medium

  * Ensure that debian/rules clean always suceeds. Closes #958109

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 27 Apr 2020 19:31:48 +0200

macs (2.2.7.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debian/patches/fix_test_signal_failures: removed, applied upstream
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add cython3 build-dep and force a fresh cythonizing
  * debian/patches/keep_debug: remove the -g0 from setup.py
  * fix manpages by adjusting the PYTHONPATH

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Apr 2020 10:29:34 +0200

macs (2.2.6-3) unstable; urgency=medium

  * Skip command line tests on arm64 ppc64el s390x.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 28 Dec 2019 12:57:18 +0100

macs (2.2.6-2) unstable; urgency=medium

  * Run even more tests.
  * Patch from upstream to fix test that fails with Python 3.8.1rc1+

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 13:24:14 -0800

macs (2.2.6-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop cython from Build-Depends

  [ Michael R. Crusoe ]
  * New upstream version
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Get sources from GitHub, so we have the tests
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 15:35:50 +0100

macs (2.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Build with Python3
    Closes: #936976

 -- Andreas Tille <tille@debian.org>  Thu, 03 Oct 2019 21:18:16 +0200

macs (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * Add patch to fix spelling typo

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 01 Oct 2019 12:35:55 +0200

macs (2.1.3.3-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 30 Sep 2019 13:34:12 +0200

macs (2.1.2.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Michael R. Crusoe ]
  * New upstream release
  * Drop spelling patch (incorporated upstream)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 22 Oct 2018 08:51:13 -0700

macs (2.1.1.20160309-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * debian/upstream/metadata:
     - UTF-8 notation of names rather than TeX syntax
     - added eprint
  * d/rules: Do not parse d/changelog
  * Remove Tim Booth and H. Soon Gweon from Uploaders
  * Standards-Version: 4.1.3
  * hardening=+all
  * debhelper 11

  [ Katerina Kalou ]
  * Add autopkgtest (Closes: #879622)

 -- Katerina Kalou <aik.kalou@gmail.com>  Mon, 19 Feb 2018 20:00:45 +0200

macs (2.1.1.20160309-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8
  * Refresh & re-submit spelling patch
  * enable "bindnow" linker flag hardening

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 May 2016 10:49:54 -0700

macs (2.1.1.20160226-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 05 Mar 2016 09:53:12 -0800

macs (2.1.0.20151222-1) unstable; urgency=medium

  * New upstream release
  * A couple more spelling fixes & updated VCS URLs.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Mon, 01 Feb 2016 09:49:01 -0800

macs (2.1.0.20150731-1) unstable; urgency=low

  * debian/watch: now released via PyPI.
  * debian/rules:
     - 2.1.0 uses a single binary with subcommands, manpages have been updated
     - use pybuild
  * debian/control:
     - `cme fix dpkg-control` reformating
     - added myself to uploaders
     - upgrades to standards-version 3.9.6,dropped deprecated DM-Upload-Allowed
     - now managed via git; VCS URLs updated
  * debian/upstream/metadata: added paper
  * debian/upstream/signing-key.asc: upstream now signs their releases
  * debian/copyright:
     - upstream is now BSD-3-clause
     - MACS2/khash.h is Expat licensed
  * debian/lintian-overrides: silence warning about line breaks
  * debian/manpages: install manual pages using dh_installman
  * debian/patches/{series,spelling}: fix two spelling errors from upstream
  * debian/docs: README is now README.rst

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 03 Oct 2015 10:37:31 -0700

macs (2.0.9.1-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #696331)
  * debian/control:
    - Adaptations to Debian Med team maintenance
    - X-Python-Version: >=2.7 because build fails
      for Python 2.6
    - Standards-Version: 3.9.4 (no changes needed)
    - Priority: optional
  * debian/watch: Removed useless comments
  * debian/README.*: Removed unused dh-make templates
  * debian/copyright: Added some missing information
  * debian/rules:
    - Removed useless dh-make comment
    - use dh_python2
    - use help2man to create manpages
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Wed, 19 Dec 2012 19:32:44 +0100

macs (2.0.9.1-1ubuntu3) lucid; urgency=low

  * Fix typo in debian/rules

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 05 Jan 2012 18:22:46 +0000

macs (2.0.9.1-1ubuntu2) lucid; urgency=low

  * Package for PPA
  * Packaged from version 2.0.9-1
  * Changed debian/rules to override dh_auto_clean to remove *.c files

 -- H. Soon Gweon (Key for package building) <soonio@gmail.com>  Thu, 05 Jan 2012 13:10:02 +0000

macs (2.0.9.1-1) unstable; urgency=low

  * Initial packaging attempt

 -- H. Soon Gweon (Key for package building) <soonio@gmail.com>  Thu, 05 Jan 2012 10:52:22 +0000
